OSTREE REFS(1)

NAME
ostree-refs - List refs

SYNOPSIS

ostree refs [OPTIONS...] [PREFIX]

ostree refs {EXISTING} {--create=NEWREF}

DESCRIPTION

Lists all refs available on the host. If specified, PREFIX assigns the refspec prefix; default prefix is null, which lists all refs. This command can also be used to create or delete refs.

OPTIONS

--list
    For historical reasons, refs without this option will strip the specified prefix from the output. Normally, one wants to see the full ref, so providing this option ensures the refs are printed in full, rather than truncated.

--create=NEWREF
    Create a ref pointing to the commit EXISTING. NEWREF must not already exist, and EXISTING must be an existing commit. More than one ref can point to the same commit.

--delete
    Delete refs which match PREFIX, rather than listing them. If you are trying to reclaim space, you will then need to ostree prune or ostree admin cleanup.

--alias, -A
    If used with --create, create an alias. Otherwise just list aliases.

--collections, -c
    Enable interactions with refs using the combination of their collection IDs and ref names. When listing refs, this changes the output format to include collection IDs, and enables listing remote mirrored refs.

    When creating refs, the refspec value passed to the --create option is treated as COLLECTION-ID:REF-NAME and a mirrored ref is created. (This is an abuse of the refspec syntax.)

    When deleting refs, all refs whose collection ID equals PREFIX are deleted.

--force
    When creating NEWREF with --create, allow an existing ref to be updated instead of erroring.

EXAMPLE

$ ostree refs

            my-branch
            gnome-ostree/buildmain/x86_64-runtime